Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038593
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Resource and Reservation Managementminoralways2018-05-22 14:522018-06-08 13:02
ReporterrafarodaView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7332b0c1a8cd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toalostale
Regression introduced in release
Summary

0038593: Eye Icon in Calendar widget is not working properly when clicking twice

DescriptionEye Icon in Calendar widget is not working properly when clicking twice
* Eye icon in Resource Reservation widget allows to display all reservations at once: when clicking it for the first time it works, showing you all the reservations for the day you have selected
* When clicking it for a second time it brings you to today
Steps To ReproduceThis behaviour has been identified in 2 calendars using the same utility:
* Resource Reservation
* Unavailabilities Calendar

With Resource and Reservation Management module installed

1) Open Resource Reservation Calendar or Unavailabilities Calendar
2) Create a new record for a days in 3 weeks from now
3) Click on Day tab (next to Week tab)
4) Click on the Eye icon (show/hide lines in Day view): show as many columns as resources are displayed with their resources, OK
5) Click again on this Eye icon: calendar becomes gray: KO. Even if the date displayed is in 3 weeks for instance, the info displayed is the info for the date of today
You have to click in the calendar in the day to view it correctly again (1 column with all the resources)

Happens in both Resource Reservations Calendar and Unavailabilities Calendar

See video here https://drive.google.com/open?id=1hZzNHFJ3fDfY3kzNPBrhU1TT8PSDUoNr [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104931)
hgbot (developer)
2018-06-05 09:36

Repository: erp/devel/pi
Changeset: 7332b0c1a8cdad7e00bfb09296ce32408ea2579c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jun 04 19:32:10 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7332b0c1a8cdad7e00bfb09296ce32408ea2579c [^]

fixes bug 38593: Wrong cell style calculation when hiding the calendar lanes

  This was an issue in Smartclient, fixed here[1]. When hidding the calendar lanes, the chosen date was not being retrieved properly, avoiding the proper calculation of the cell styles.

[1] https://code.openbravo.com/private/com.isomorphic.smartclient/diff/073b213e9dc4/SmartClient/smartclientSDK/source/client/widgets/CalendarView.js#l1.339 [^]

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/isomorphic/ISC_Combined.js
---
(0104932)
hgbot (developer)
2018-06-05 09:36

Repository: erp/mods/org.openbravo.userinterface.smartclient.dev
Changeset: 146f916e1946309a5faea59d68ed81a030ba2c3c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jun 05 09:30:42 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient.dev/rev/146f916e1946309a5faea59d68ed81a030ba2c3c [^]

related to bug 38593: Wrong cell style calculated when hiding calendar lanes

  This was an issue in Smartclient, fixed here[1]. When hidding the calendar lanes, the chosen date was not being retrieved properly, avoiding the proper calculation of the cell styles.

[1] https://code.openbravo.com/private/com.isomorphic.smartclient/diff/073b213e9dc4/SmartClient/smartclientSDK/source/client/widgets/CalendarView.js#l1.339 [^]

---
M web/org.openbravo.userinterface.smartclient/isomorphic/client/widgets/CalendarView.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/development/ISC_Calendar.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules-debug/ISC_Calendar.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules/ISC_Calendar.js
---
(0104959)
hudsonbot (developer)
2018-06-05 17:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8317f2f73d00 [^]
Maturity status: Test
(0105039)
alostale (developer)
2018-06-08 13:02

reviewed

- Issue History
Date Modified Username Field Change
2018-05-22 14:52 rafaroda New Issue
2018-05-22 14:52 rafaroda Assigned To => Triage Finance
2018-06-04 19:17 caristu Assigned To Triage Finance => caristu
2018-06-04 19:17 caristu Status new => scheduled
2018-06-05 09:36 hgbot Checkin
2018-06-05 09:36 hgbot Note Added: 0104931
2018-06-05 09:36 hgbot Status scheduled => resolved
2018-06-05 09:36 hgbot Resolution open => fixed
2018-06-05 09:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7332b0c1a8cdad7e00bfb09296ce32408ea2579c [^]
2018-06-05 09:36 hgbot Checkin
2018-06-05 09:36 hgbot Note Added: 0104932
2018-06-05 09:38 caristu Review Assigned To => alostale
2018-06-05 17:29 hudsonbot Checkin
2018-06-05 17:29 hudsonbot Note Added: 0104959
2018-06-08 13:02 alostale Note Added: 0105039
2018-06-08 13:02 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker